## org.apache.lucene.spatial.geometry.shape
Class Point2D

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.Point2D

Deprecated.

    @Deprecated
    public class Point2D

extends Object

Point class. This type is mutable.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`Point2D()` Deprecated.
`Point2D(double x, double y)` Deprecated.
`Point2D(Point2D other)` Deprecated.

Method Summary
`void` `add(Point2D a)` Deprecated.
`void` `add(Vector2D v)` Deprecated.
`boolean` `equals(Object obj)` Deprecated.
`double` `getX()` Deprecated.
`double` `getY()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `set(double x, double y)` Deprecated.
`void` `set(Point2D p1)` Deprecated.
`void` `set(Vector2D v)` Deprecated.
`void` `setX(double x)` Deprecated.
`void` `setY(double y)` Deprecated.
`String` `toString()` Deprecated.
`double` `x()` Deprecated.
`void` `x(double x)` Deprecated.
`double` `y()` Deprecated.
`void` `y(double y)` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Point2D

    public Point2D(double x,
                   double y)

  Deprecated.

### Point2D

    public Point2D()

  Deprecated.

### Point2D

    public Point2D(Point2D other)

  Deprecated.

Method Detail

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### getX

    public double getX()

  Deprecated.

### getY

    public double getY()

  Deprecated.

### x

    public double x()

  Deprecated.

### y

    public double y()

  Deprecated.

### x

    public void x(double x)

  Deprecated.

### y

    public void y(double y)

  Deprecated.

### setX

    public void setX(double x)

  Deprecated.

### setY

    public void setY(double y)

  Deprecated.

### set

    public void set(double x,
                    double y)

  Deprecated.

### add

    public void add(Vector2D v)

  Deprecated.

### set

    public void set(Point2D p1)

  Deprecated.

### add

    public void add(Point2D a)

  Deprecated.

### set

    public void set(Vector2D v)

  Deprecated.

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`